INSTALL_DONE_FILE=/cloud/install/install.done
BB=/system/xbin

$BB/cmp $1 /boot/$1

if [ $? -ne 0 ]
then
	echo $1 changed, copying file
	
	$BB/mv /boot/$1 /boot/$1.prev
	$BB/cp $1 /boot/$1
	$BB/rm /boot/$1.prev
	
	if [ $? -ne 0 ]
	then
		RET_CODE=$2
		echo "ERROR: Copy of $1 to /boot failed!"
		echo $RET_CODE > $INSTALL_DONE_FILE
		exit $RET_CODE
	fi
else
	echo $1 unchanged, no need to copy
fi



