echo ">>>>>>>>>>>>> CLOUD TC INITIAL SETUP <<<<<<<<<<<<<<"

mkdir /boot
mount -t vfat /dev/block/mmcblk0p1 /boot    

mkdir /data/sdcard
chmod 0777 /data/sdcard

mkdir /data/sdcard/download
chmod 0777 /data/sdcard/download

mkdir /data/sdcard/Android
chmod 0777 /data/sdcard/Android

# this is for apps that assume that the sdcard is on /sdcard
/diags/busybox rm -rf /sdcard
ln -s /data/sdcard /sdcard

# clean up i-jetty directories
/diags/busybox rm -rf /data/sdcard/jetty*
/diags/busybox rm -rf /data/sdcard/Jetty*

# set up busybox

#mkdir /data/busybox
#echo ">>>>> Installing busybox <<<<<"
#/system/xbin/busybox --install -s /system/xbin
#status=$?
#echo ">>>>> Done installing busybox, exit code=$status <<<<<"

# clean up last glass update in /cache
/diags/busybox rm -rf /cache/glass

# read existing boot.scr and if the variable mmcroot is set to mmcblk0p2, then set MEWPART to mmcblk0p3, otherwise, the other way around

BOOTFILE=/boot/boot.scr

/diags/busybox grep -q mmcblk0p3 $BOOTFILE

if [ $? -eq 0 ]
then
	NEWPART=/dev/block/mmcblk0p2
else
	NEWPART=/dev/block/mmcblk0p3
fi

echo $NEWPART

mount -t ext3 $NEWPART /newrootfs  

mkdir /cloud/install
chmod 0777 /cloud/install

/sbin/adbd &

/system/bin/logwrapper /system/bin/sh /cloud/install-service.sh &

/system/bin/logwrapper /system/bin/watchdogd &

alsa_amixer cset numid=7 100%
alsa_amixer cset numid=4 50%
alsa_amixer cset numid=3 80%
alsa_amixer cset numid=13 50%
alsa_amixer cset numid=56 1

#if [ -e /data/system/pointercal ]
#then
#	mv /system/etc/pointercal  /system/etc/pointercal.bak
#	cp /data/system/pointercal /system/etc/pointercal
#fi

/system/xbin/mkdir -p /data/sdcard/Android/data
chmod 777 /data/sdcard/Android
chmod 777 /data/sdcard/Android/data

#androidvncserver &
# Turn on the Home LED
echo 1 > /sys/devices/platform/leds-gpio/leds/cloudphone::led3/brightness

echo ">>>>>>>>>>> CLOUD TC INITIAL SETUP DONE <<<<<<<<<<<"
